// 
// this file, part of libTexFormula, is released under the conditions of the zlib license.
// for details see: http://www.gzip.org/zlib/zlib_license.html
// 
#ifndef DISPLAY_H
#define DISPLAY_H

int display_open(void *handle, void *device);
int display_preclose(void *handle, void *device);
int display_close(void *handle, void *device);
int display_presize(void *handle, void *device, int width, int height, int raster, unsigned int format);
int display_size(void *handle, void *device, int width, int height, int raster, unsigned int format, unsigned char *pimage);
int display_sync(void *handle, void *device);
int display_page(void *handle, void *device, int copies, int flush);
int display_update(void *handle, void *device, int x, int y, int w, int h);

#endif //DISPLAY_H

